cholmat.c File Reference

Sparse Cholesky for Schur complement matrix. More...

Go to the source code of this file.

## Functions

int | DSDPSetSchurMatOps (DSDP, struct DSDPSchurMat_Ops *, void *)
| Set the Schur complement matrix.

## Detailed Description

Sparse Cholesky for Schur complement matrix.

Definition in file cholmat.c.

## Function Documentation

## DSDPSetSchurMatOps()

int DSDPSetSchurMatOps | ( | DSDP | dsdp,
|  | struct DSDPSchurMat_Ops * | sops,
|  | void * | mdata
| ) |  |

Set the Schur complement matrix.

Parameters

  dsdp | the solver
  sops | address of a structure with function pointers
  mdata | address of a matrix object

The step direction in DSDP is the solution to a set of linear equations. The cones used by DSDP compute the elements of the matrix and the right-hand side vectors. Any matrix that implements the Schur complement matrix interface can be used by DSDP. In addition to factoring a matrix and solving it, this interface also provides matrix assembly routines for the cones.

See also
  DSDPAddCone()

Todo:
  Use SCALAPACK to assemble, factor, and solve the matrix in parallel.

Definition at line 602 of file dsdpcops.c.